import './index.less';

export default {
    props: {
        loading: {
            type: Boolean,
            'default': false
        },
        block: {
            type: Boolean,
            'default': false
        }
    },
    methods: {
        // 绑定事件
        handleClick: function handleClick() {
            if (!this.loading) {
                this.$emit("click");
            }
        }
    },
    render: function render(h) {
        var loading = this.loading,
            block = this.block,
            $slots = this.$slots;

        var className = {
            'sn-button': true,
            'loading': loading,
            'sn-button-block': block
        };

        return h(
            'button',
            {
                'class': className,
                on: {
                    'click': this.handleClick
                }
            },
            [h('span', [$slots['default']])]
        );
    }
};